Subject: R: [manet] the beacon mechanism in network layer

From: "Giorgio Mulas" <[email-masked]>
Date: Mon, 7 Feb 2005 17:30:04 +0100

In this hypotethical acknowledgment mechanism I would set the timeout considering mainly network topology change rate: if the network is quite static, nodes can lose a higher number of beacons before arguing something is going wrong (Time out = n * beacon_rate, where n = number of beacons could be quite high). Vice-versa if network topology changes rapidly, if a node misses a beacon likely the neighbor has gone (n low).
 
You can also use data traffic as a sort of beaconing: if you receive data you don't need to receive also beacons to verify neighbor's connectivity...

________________________________

Da: [email-masked] per conto di pakorn kulsirimongkol
Inviato: lun 07/02/2005 11.04
A: [email-masked]
Oggetto: RE: [manet] the beacon mechanism in network layer

Thank you for your helping
            However,  I am confused a little bit. From you answer, nodes will broadcast a beacon and then wait for its neighbor ack right.   
            How long node which haven't received its neighbor beacon decide its neighbor disconneted. In some my simulation, there is less time out than it should be because that simulation is much traffic. 
Giorgio Mulas <[email-masked]> wrote:

	Hi,
	hereunder some considerations about your questions.
	- beaconing mechanisms are needed in order to discover network topology, especially when topology may change in an unpredictable way.
	- of course beacons are sent on a regular basis. A rule of thumb should be: the higher the topology change rate (due e.g. to nodes' mobility) the higher the beaconing rate.
	- the simplest information in the beacon packet is "here I am!" => you can translate it, for example, in an IP address.
	- In theory wireless links are bi-directional, in practice no. An acknowledgment mechanism could be a solution.
	 
	hope this helps
	 
	    Giorgio

		-----Original Message-----
		From: [email-masked] [mailto:[email-masked]] On Behalf Of pakorn kkulsirimongkol
		Sent: lunedì 7 febbraio 2005 8.47
		To: [email-masked]
		Subject: [manet] the beacon mechanism in network layer

		Dear, sir
		      pls tell me the beacon mechanism in network layer. 
		      Is beacon regularly sent every time?
		      nodes in the network must have a time out for waiting beacon right?
		      what is time out of beacon?
		      what is the information in beacon packet?
		      node, how to know a connectivity of other nodes which it receive beacon is bidirectional link.
		 
		best regard,
		add

________________________________

		Do you Yahoo!?
		Yahoo! Mail <http://us.rd.yahoo.com/mail_us/taglines/security/*http://promotions.yahoo.com/new_mail/static/protection.html>  - You care about security. So do we.

________________________________

Do you Yahoo!?
Yahoo! Search presents - Jib Jab's 'Second Term' <http://us.rd.yahoo.com/evt=30648/*http://movies.yahoo.com/movies/feature/jibjabinaugural.html> 

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet